=== debian/changelog ===
utf8.h (0~git20190120.2a7c5bf-1) unstable; urgency=medium

  * Initial release (Closes: #930078)

 -- Steffen Moeller <moeller@debian.org>  Thu, 06 Jun 2019 17:17:30 +0200
