=== debian/control ===
Source: utf8.h
Priority: optional
Maintainer: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.3.0
Section: libs
Homepage: https://github.com/sheredom/utf8.h
#Vcs-Browser: https://salsa.debian.org/debian/utf8.h
#Vcs-Git: https://salsa.debian.org/debian/utf8.h.git

Package: libutf8.h-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Description: header-files only UTF8 library
 The library provides a series of functions for string
 handlig in analogy to what the C library provides.
 These then have a utf8 prefix and knows how to handle
 single letters with multi-character representations.
