=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf Makefile CMakeFiles CMakeCache.txt
	find . -name "*.bin" -delete
	find . -name "a.out" -delete
	find . -name "*.cmake" -delete
