=== debian/changelog ===
utf8.h (0.0~git20220705.4e4d828-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Jul 2022 15:45:50 -0400

utf8.h (0~git20220220.ce48f0e-1) unstable; urgency=medium

  * Adopt package with original maintainer's acknowledgement.
  * debian/control:
    + Mark binary package as Multi-Arch: foreign.
    + Add Vcs-* fields on Debian Salsa GitLab.
    + Apply "wrap-and-sort -abst".
  * debian/rules: Drop useless clean.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Apr 2022 13:16:40 -0400

utf8.h (0~git20220220.ce48f0e-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream snapshot. (Closes: #999854)
  * debian/watch: Correctly write upstream monitoring script
    based on version scheme.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Bump debhelper compat to v13.
  * debian/utf8.h-dev.dirs: Dropped, completely useless.
  * debian/compat: Dropped, useless.
  * debian/libutf8-dev.docs: Rename to libutf8.h-dev.docs to fix
    README.md installation.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Apr 2022 10:53:57 -0400

utf8.h (0~git20190120.2a7c5bf-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload. (Closes: #978078) 

 -- Boyuan Yang <byang@debian.org>  Sun, 27 Dec 2020 13:45:14 -0500
