=== debian/control ===
Source: utf8.h
Section: libs
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/sheredom/utf8.h
Vcs-Git: https://salsa.debian.org/debian/utf8.h.git
Vcs-Browser: https://salsa.debian.org/debian/utf8.h

Package: libutf8.h-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: header-files only UTF8 library
 The library provides a series of functions for string
 handlig in analogy to what the C library provides.
 These then have a utf8 prefix and knows how to handle
 single letters with multi-character representations.
