=== debian/watch ===
version=4
 opts="mode=git, pgpmode=none, pretty=0~git%cd.%h" \
 https://github.com/sheredom/utf8.h \
 HEAD debian uupdate
