## utf8.h 0.0~git20230112.a35aefd

=== debian/changelog ===
utf8.h (0.0~git20230112.a35aefd-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/watch: Updated.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 10:35:18 -0400
