=== debian/changelog ===
utf8.h (0.0~git20231220.535001e-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Remove myself from the maintainer list.

 -- Boyuan Yang <byang@debian.org>  Mon, 11 Mar 2024 20:08:35 -0400

utf8.h (0.0~git20231220.535001e-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Wed, 27 Dec 2023 14:58:22 -0500

utf8.h (0.0~git20231125.e69ff90-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Mon, 27 Nov 2023 19:12:21 -0500

utf8.h (0.0~git20230809.b174838-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Aug 2023 17:37:27 -0400
