=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: utf8.h
 Section: libs
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
-Uploaders:
- Steffen Moeller <moeller@debian.org>,
+Maintainer: Steffen Moeller <moeller@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/sheredom/utf8.h
 Vcs-Git: https://salsa.debian.org/debian/utf8.h.git
