=== debian/watch ===
version=4
 opts="mode=git, pgpmode=none" \
 https://github.com/sheredom/utf8.h \
 HEAD debian uupdate
